$spinkit-size: 4em !default
$spinkit-spinner-color: #0079C4 !default

.emptyState
  flex: 1 1
  width: 100%
  height: 100%
  display: flex
  justify-content: center
  align-items: center
  flex-direction: column
  img
    width: 170px
  p
    color: $head-link
    font-size: 22.4px
    line-height: 34px
    text-align: center

.emptyState-wrapper
  display: flex
  align-items: center
  justify-content: center
  height: 100%

.loader
  .sk-circle-bounce
    $circleCount: 12
    $rectCount: 5
    $animationDuration: 1.2s
    $delayRange: 0.4s
    width: 64px
    height: 64px
    margin: auto
    text-align: center
    font-size: 1em
    position: relative
    .close-loader
      width: 64px
      height: 64px
      display: flex
      align-items: center
      justify-content: center
      z-index: 10
      position: relative
      cursor: pointer
      svg, g
        fill: $spinkit-spinner-color
        stroke: $spinkit-spinner-color
    .sk-child
      width: 100%
      height: 100%
      position: absolute
      left: 0
      top: 0
      &:before
        content: ''
        display: block
        margin: 0 auto
        width: 15%
        height: 15%
        background-color: $spinkit-spinner-color
        border-radius: 100%
        animation: sk-circle-bounce-delay $animationDuration infinite ease-in-out both
    @for $i from 1 through $circleCount
      .sk-circle-#{$i}
        transform: rotate((360deg / $circleCount * ($i - 1)))
        &:before
          animation-delay: (-$animationDuration + $animationDuration / $circleCount * ($i - 1))

    @keyframes sk-circle-bounce-delay
      0%, 80%, 100%
        transform: scale(0)
      40%
        transform: scale(1.0)

.preloader
  flex: 1 1 25%
  .sk-wave
    $rectCount: 5
    $animationDuration: 1.2s
    $delayRange: 0.4s
    width: $spinkit-size * 1.5
    height: $spinkit-size
    margin: auto
    text-align: center
    font-size: 1em
    .sk-rect
      background-color: $spinkit-spinner-color
      height: 100%
      width: .5em
      display: inline-block
      animation: sk-wave-stretch-delay $animationDuration infinite ease-in-out
      margin-right: 3px

    @for $i from 1 through $rectCount
      .sk-rect-#{$i}
        animation-delay: - $animationDuration + $delayRange / ($rectCount - 1) * ($i - 1)

    @keyframes sk-wave-stretch-delay
      0%, 40%, 100%
        transform: scaleY(0.4)
      20%
        transform: scaleY(1.0)